unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, GLScene, GLObjects, GLCoordinates, GLWin32Viewer, GLCrossPlatform,
  BaseClasses, AsyncTimer, StdCtrls, GLCollision, GLGeomObjects;

type
  TForm1 = class(TForm)
    GLScene1: TGLScene;
    GLSceneViewer1: TGLSceneViewer;
    GLCamera1: TGLCamera;
    GLLightSource1: TGLLightSource;
    GLDummyCube1: TGLDummyCube;
    GLSphere1: TGLSphere;
    GLSphere2: TGLSphere;
    AsyncTimer1: TAsyncTimer;
    Button1: TButton;
    CollisionManager1: TCollisionManager;
    Label1: TLabel;
    GLCylinder1: TGLCylinder;
    procedure AsyncTimer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CollisionManager1Collision(Sender: TObject; object1,
      object2: TGLBaseSceneObject);
  private
    { Private declarations }
    xx,dx : single;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  xx := -2.0;
  dx := 0.05;
end;

procedure TForm1.AsyncTimer1Timer(Sender: TObject);
begin
  xx := xx + dx;
  if xx > 2 then begin xx :=  2;dx := -dx; end;
  if xx <-2 then begin xx := -2;dx := -dx; end;

  GLSphere2.Position.X := xx;

  Label1.Caption := 'Nada';
  CollisionManager1.CheckCollisions;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Button1.Caption = '>>' then begin
    Button1.Caption := '||';
    ASyncTimer1.Enabled := true;
  end
  else begin
    Button1.Caption := '>>';
    ASyncTimer1.Enabled := false;
  end;
end;

procedure TForm1.CollisionManager1Collision(Sender: TObject;
  object1, object2: TGLBaseSceneObject);
begin
  label1.Caption := object1.Name +':'+object2.Name;
end;

end.
